/*
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */
cordova.define("cordova-plugin-ptRequest.ptRequest", function(require, exports, module) {
var exec = require('cordova/exec');
var pluginClass = 'ptRequest';
var ptRequest = {
    // 发送普通的网络请求，带loading动画
    request:function(param, success, error) {
        exec(function (data) {
             success(data)
        }, function (res) {
             error(res)
        }, pluginClass, 'request', [param])
    },
    // 发送普通的网络请求，不带loading动画
    requestWithoutLoading:function(param, success, error) {
        exec(function (data) {
             success(data)
        }, function (res) {
            error(res)
        }, pluginClass, 'requestWithoutLoading', [param])
    },
    // 发送协商密钥请求
    sendConsultPassword:function(param, success, error) {
        exec(function (data) {
             success(data)
        }, function (res) {
             error(res)
        }, pluginClass, 'sendConsultPassword', [param])
    },
    // 发送普通的非PT网络请求，带Loading动画
    noPtRequest:function(param, success, error) {
        exec(function (data) {
             success(data)
        }, function (res) {
             error(res)
        }, pluginClass, 'noPtRequest', [param])
    },
    // 发送普通的非PT网络请求，不带Loading动画
    noPtRequestWithoutLoading:function(param, success, error) {
        exec(function (data) {
             success(data)
        }, function (res) {
             error(res)
        }, pluginClass, 'noPtRequestWithoutLoading', [param])
    }
};
module.exports = ptRequest;

});


